#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xfdesktop
Version		:	4.19.6
Release		:	17.2.0.rel%{?dist}

Summary		:	A desktop manager for the Xfce Desktop Environment.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://archive.xfce.org/src/xfce/xfdesktop

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	exo-devel
BuildRequires	:	gtk-layer-shell-devel
BuildRequires	:	libwnck
BuildRequires	:	libxfce4ui
BuildRequires	:	libnotify
BuildRequires	:	libxfce4windowing-devel
BuildRequires	:	thunar
BuildRequires	:	wayland-protocols

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
%{name} is a desktop manager for the Xfce Desktop Environment.
Desktop in this respect means the root window (or, rather,
a window that sits on top of the root window). The manager
handles the following tasks:
- background image / color
- root menu, window list
- minimized app icons
- file icons on the desktop (using thunar libs)

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/backgrounds/xfce/xfce-*.jpg
%{_datadir}/backgrounds/xfce/xfce-*.svg
%{_datadir}/icons/hicolor/*/apps/org.xfce.xfdesktop.png
%{_datadir}/icons/hicolor/scalable/apps/org.xfce.xfdesktop.svg
%{_datadir}/pixmaps/xfce4_*.png
%{_datadir}/pixmaps/%{name}/%{name}-*-icon.png
%{_datadir}/applications/xfce-backdrop-settings.desktop
%{_mandir}/man1/*1.gz

#-------------------------------------------------------------------
%post
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#-------------------------------------------------------------------
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-wayland				\
	--disable-x11					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%find_lang	%{name}
#-------------------------------------------------------------------
%changelog
